# GENERIQUEWIFIV3

Mise à jour le 21/05/2021

Public : STI2N SIN

Version de la bibliothèque JQWidget : 12.0.4

---

## RÔLES

* Utilisé par TOUS les membres du groupe de projet, GENERIQUEWIFIV3 garantit que les chemins installés dans les fichiers .html ou .php seront compatibles lors de la mise en commun des travaux individuels, évitant ainsi de longues heures de renommage. Le mot GENERIQUEWIFIV3 doit être changé par le nom du projet.

* Le répertoire contient un exemple de widget GAUGE et deux boutons-poussoirs destinés à communiquer avec une carte Arduino MKR1010.

![ex](images/exemple.png)

## PRINCIPE RETENU POUR LA COMMUNICATION NAVIGATEUR < -- > ARDUINO

![com](images/communication.png)

## ORGANISATION

### Répertoires

**data** : réservé aux données à partager entre le site PC et le site mobile

**mobile** : réservé au site mobile

**scripts** : contient les fichiers .js et .php

**styles** : réservé aux feuilles de style du site PC

### Fichiers

**chauffage.php** : assure la communication entre le Raspberry Pi et la carte Arduino. A renommer si votre tâche n'est pas la température.

**temperature.php** : assure la communication entre le Raspberry Pi et la carte Arduino. A renommer si votre tâche n'est pas la température

**temperature.js** : exemple de code pour une jauge et deux boutons (à renommer si votre tâche n'est pas la température).

**temperature.html** : à renommer si votre tâche n'est pas la température.

## INSTALLATION

Répertoire à placer sur un serveur Apache avec PHP et cURL installés.

## TESTS

La console du navigateur est accessible avec la touche F12

* Exemple de durée d'une requête d'**acquisition** de la température

![time](images/timing.png)
